﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace WebApplication13
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.MapUnit = GeographyUnit.Meter;

                Jpeg2000RasterLayer rasterLayer = new Jpeg2000RasterLayer(@"C:\temp\WpfApplication8\data\2012_0362_6587_OL_RVB_L93.jp2");
                rasterLayer.Open();
                Map1.CurrentExtent = rasterLayer.GetBoundingBox();
                rasterLayer.Close();
                LayerOverlay overlay = new LayerOverlay();
                overlay.Layers.Add(rasterLayer);
                Map1.CustomOverlays.Add(overlay);
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            LayerOverlay images = Map1.CustomOverlays[0] as LayerOverlay;

            images.Layers.Clear();



            String domain = @"c:\temp\Jp2Cache";

            try
            {

                Jpeg2000RasterLayer reader = new Jpeg2000RasterLayer(@"C:\temp\WpfApplication8\data\2012_0362_6587_OL_RVB_L93.jp2");

                reader.Open();

                images.IsVisible = true;

                images.ServerCache = new ServerCache(domain);

                images.Layers.Clear();

                images.Layers.Add(reader);

                images.Redraw();

                Map1.CurrentExtent = reader.GetBoundingBox();

            }

            catch (Exception handler)
            {

                //ReportError(handler);

            }
        }
    }
}
